End Session
DELETE
/v1/sessions/{session_id}
const url = 'https://agents.lumalabs.ai/v1/sessions/example';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://agents.lumalabs.ai/v1/sessions/example \ --header 'Authorization: Bearer <token>'End a session gracefully and stop any work that could resume it.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”session_id
required
Session Id
string
Responses
Section titled “ Responses ”Successful Response
Media typeapplication/json
EndSessionResponse
object
session_id
required
Session Id
string
status
required
Status
Closing refuses new work; completed confirms shutdown finished.
string
Example
{ "status": "closing"}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}